Bug 52119 - Serial_cb Driver Missing
Serial_cb Driver Missing
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-08-20 14:45 EDT by David S Alden
Modified: 2015-01-04 17:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-25 03:07:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David S Alden 2001-08-20 14:45:18 EDT
Description of Problem:
     Supported card Xircom XBEM56G modem not accessible after installing 
RedHat Linux 7.1 on Dell Latitude CPx500HG laptop.  Found 'serial_cb' 
referenced in '/etc/pcmcia/config' but driver not provided in 

Version-Release number of selected component (if applicable):

How Reproducible:
Every time.

Steps to Reproduce:

Actual Results:
    Find "serial_cb not found" log records in boot log messages.  Module 
missing from /sbin/lsmod listing.

Expected Results:
    No boot error messages and Module present in '/sbin/lsmod' listing.

Additional Information:
    Found source code for 'serial_cb.c' in 'pcmcia-cs-3.1.24.tar.gz' on 
'sourceforge.org'.  Was able to compile the module and install it to 
enable access to the modem.
Comment 1 Bill Nottingham 2001-08-20 16:44:54 EDT
What kernel?

The normal serial driver should handle cardbus stuff.
Comment 2 David S Alden 2001-08-21 11:07:07 EDT
Typo: "XBEM56G" should read "CBEM56G".
Formerly Used Kernel: 2.4.2 supplied with RedHat Linux 7.1 (Seawolf).
Now Using Kernel 2.4.3 from 'kernel-2.4.3-12.i686.rpm'.
Action: Renamed 'serial_cb.o' and removed reference in '/etc/pcmcia/config' for
CBEM56G to find "normal" serial driver does indeed work as indicated.
Comment: There are numerous references to 'serial_cb' in '/etc/pcmcia/config' 
for a number of different cards and RedHat should either supply the driver as 
configured or modify the configuration file as it did for the 'tulip_cb' 
driver references found in the standalone pcmcia distribution available from 
sourceforge.org upon which the 'kernel-pcmcia-cs-3.1.24-2.i386.rpm' is based.  
Failure to do so causes misleading error messages at pcmcia start-up time.

Note You need to log in before you can comment on or make changes to this bug.